wxRuby Documentation Home

# Wx::GridCellFloatEditor

The editor for floating point numbers data.

## Derived from

GridCellTextEditor

GridCellEditor

## See also

GridCellEditor, GridCellNumberEditor, GridCellBoolEditor, GridCellTextEditor, GridCellChoiceEditor

## Methods

- GridCellFloatEditor.new
- GridCellFloatEditor#set_parameters

### GridCellFloatEditor.new

GridCellFloatEditor.new(%(arg-type)Integer% width = -1, Integer precision = -1)

- width Minimum number of characters to be shown.
- precision Number of digits after the decimal dot.

### GridCellFloatEditor#set_parameters

set_parameters(%(arg-type)String% params)

Parameters string format is “width,precision”

[This page automatically generated from the Textile source at 2023-06-09 00:45:30 +0000]